Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSComplexTypeDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSComplexTypeDecl

public class XSComplexTypeDecl
extends java.lang.Object
implements XSTypeDecl, weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

The XML representation for a complexType schema component is a element information item

Constructor Summary
`XSComplexTypeDecl()`

Method Summary
`boolean` | `containsTypeID()`
`boolean` | `derivedFrom(java.lang.String ancestorNS, java.lang.String ancestorName)`
`boolean` | `derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)`
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAnnotations()` Optional.
`XSAttributeGroupDecl` | `getAttrGrp()`
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAttributeUses()` {attribute uses} A set of attribute uses.
`weblogic.apache.xerces.impl.xs.psvi.XSWildcard` | `getAttributeWildcard()` {attribute wildcard} Optional.
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getBaseType()` {base type definition} Either a simple type definition or a complex type definition.
`weblogic.apache.xerces.impl.xs.models.XSCMValidator` | `getContentModel(weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder)`
`short` | `getContentType()` {content type} One of empty, a simple type definition (see `simpleType`, or mixed, element-only (see `cmParticle`).
`short` | `getDerivationMethod()` {derivation method} Either extension or restriction.
`short` | `getFinal()` {final} For complex type definition it is a subset of {extension, restriction}.
`short` | `getFinalSet()`
`boolean` | `getIsAbstract()` {abstract} A boolean.
`boolean` | `getIsAnonymous()` A boolean that specifies if the type definition is anonymous.
`boolean` | `getIsFinal(short derivation)` {final} For complex type definition it is a subset of {extension, restriction}.
`boolean` | `getIsProhibitedSubstitution(short prohibited)` {prohibited substitutions} A subset of {extension, restriction}.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`weblogic.apache.xerces.impl.xs.psvi.XSParticle` | `getParticle()` A particle for mixed or element-only content model, otherwise `null`
`short` | `getProhibitedSubstitutions()` {prohibited substitutions}
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getSimpleType()` A simple type definition corresponding to simple content model, otherwise `null`
`java.lang.String` | `getTargetNamespace()`
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`short` | `getTypeCategory()`
`java.lang.String` | `getTypeName()`
`void` | `reset()`
`void` | `setContainsTypeID()`
`void` | `setIsAbstractType()`
`void` | `setIsAnonymous()`
`void` | `setName(java.lang.String name)`
`void` | `setValues(java.lang.String name, java.lang.String targetNamespace, XSTypeDecl baseType, short derivedBy, short schemaFinal, short block, short contentType, boolean isAbstract, XSAttributeGroupDecl attrGrp, XSSimpleType simpleType, XSParticleDecl particle)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSComplexTypeDecl

    public XSComplexTypeDecl()

Method Detail

### setValues

    public void setValues(java.lang.String name,
                          java.lang.String targetNamespace,
                          XSTypeDecl baseType,
                          short derivedBy,
                          short schemaFinal,
                          short block,
                          short contentType,
                          boolean isAbstract,
                          XSAttributeGroupDecl attrGrp,
                          XSSimpleType simpleType,
                          XSParticleDecl particle)

### setName

    public void setName(java.lang.String name)

### getTypeCategory

    public short getTypeCategory()

### getTypeName

    public java.lang.String getTypeName()

### getFinalSet

    public short getFinalSet()

### getTargetNamespace

    public java.lang.String getTargetNamespace()

### containsTypeID

    public boolean containsTypeID()

### setIsAbstractType

    public void setIsAbstractType()

### setContainsTypeID

    public void setContainsTypeID()

### setIsAnonymous

    public void setIsAnonymous()

### getContentModel

    public weblogic.apache.xerces.impl.xs.models.XSCMValidator getContentModel(weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder)

### getAttrGrp

    public XSAttributeGroupDecl getAttrGrp()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### derivedFrom

    public boolean derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)

  Specified by:
    derivedFrom in interface XSTypeDecl

### derivedFrom

    public boolean derivedFrom(java.lang.String ancestorNS,
                               java.lang.String ancestorName)

  Specified by:
    derivedFrom in interface XSTypeDecl

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getIsAnonymous

    public boolean getIsAnonymous()

  A boolean that specifies if the type definition is anonymous. Convenience attribute. This is a field is not part of XML Schema component model.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getBaseType

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getBaseType()

  {base type definition} Either a simple type definition or a complex type definition.

### getDerivationMethod

    public short getDerivationMethod()

  {derivation method} Either extension or restriction. The valid constant value for this `XSConstants` EXTENTION, RESTRICTION.
  Specified by:
    getDerivationMethod in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getIsFinal

    public boolean getIsFinal(short derivation)

  {final} For complex type definition it is a subset of {extension, restriction}. For simple type definition it is a subset of {extension, list, restriction, union}.

  Parameters:
    `derivation` - Extension, restriction, list, union constants (defined in `XSConstants`).
  Returns:
    True if derivation is in the final set, otherwise false.

### getFinal

    public short getFinal()

  {final} For complex type definition it is a subset of {extension, restriction}.

  Returns:
    A bit flag that represents: {extension, restriction) or none for complexTypes; {extension, list, restriction, union} or none for simpleTypes;

### getIsAbstract

    public boolean getIsAbstract()

  {abstract} A boolean. Complex types for which {abstract} is true must not be used as the {type definition} for the validation of element information items.
  Specified by:
    getIsAbstract in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getAttributeUses

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAttributeUses()

  {attribute uses} A set of attribute uses.
  Specified by:
    getAttributeUses in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getAttributeWildcard

    public weblogic.apache.xerces.impl.xs.psvi.XSWildcard getAttributeWildcard()

  {attribute wildcard} Optional. A wildcard.
  Specified by:
    getAttributeWildcard in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getContentType

    public short getContentType()

  {content type} One of empty, a simple type definition (see `simpleType`, or mixed, element-only (see `cmParticle`).
  Specified by:
    getContentType in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getSimpleType

    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getSimpleType()

  A simple type definition corresponding to simple content model, otherwise `null`
  Specified by:
    getSimpleType in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getParticle

    public weblogic.apache.xerces.impl.xs.psvi.XSParticle getParticle()

  A particle for mixed or element-only content model, otherwise `null`
  Specified by:
    getParticle in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

### getIsProhibitedSubstitution

    public boolean getIsProhibitedSubstitution(short prohibited)

  {prohibited substitutions} A subset of {extension, restriction}.
  Specified by:
    getIsProhibitedSubstitution in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

  Parameters:
    `prohibited` - extention or restriction constants (defined in `XSConstants`).
  Returns:
    True if prohibited is a prohibited substitution, otherwise false.

### getProhibitedSubstitutions

    public short getProhibitedSubstitutions()

  {prohibited substitutions}
  Specified by:
    getProhibitedSubstitutions in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

  Returns:
    A bit flag corresponding to prohibited substitutions

### getAnnotations

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAnnotations()

  Optional. Annotation.
  Specified by:
    getAnnotations in interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD